/*
 * Copyright 2015 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

package fr.ill.ics.cameo.test;

import fr.ill.ics.cameo.Application;


public class TestComPortApplication {

	public static void main(String[] args) {
		
		Application.This.init(args);
		
		int port1 = Application.This.getCom().requestPort();
		System.out.println("received port1 " + port1);
		
		Application.This.getCom().setPortUnavailable(port1);
		System.out.println("set port " + port1 + " unavailable");
		
		int port2 = Application.This.getCom().requestPort();
		System.out.println("received port2 " + port2);
		
		Application.This.getCom().releasePort(port2);
		System.out.println("released port2 " + port2);
		
		port2 = Application.This.getCom().requestPort();
		System.out.println("received port2 " + port2);

		System.out.println("finished the application");
		
		Application.This.terminate();
	}

}